---
title: Get a sending subdomain
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Email Sending](https://developers.cloudflare.com/api/go/resources/email_sending)

[Subdomains](https://developers.cloudflare.com/api/go/resources/email_sending/subresources/subdomains)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get a sending subdomain

client.EmailSending.Subdomains.Get(ctx, subdomainID, query) (\*[SubdomainGetResponse](<https://developers.cloudflare.com/api/go/resources/email_sending#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)>), error)

GET/zones/{zone\_id}/email/sending/subdomains/{subdomain\_id}

Gets information for a specific sending subdomain.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

subdomainID string

Sending subdomain identifier.

maxLength32

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20subdomain_id%20%3E%20(schema)>)

<details>

<summary>

query SubdomainGetParams

</summary>

ZoneID param.Field\[string]

Identifier.

maxLength32

<a href="#(resource)%20email_sending.subdomains%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(method)%20get%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type SubdomainGetResponse struct{…}

</summary>

Enabled bool

Whether Email Sending is enabled on this subdomain.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20enabled">Link to this property</a>

Name string

The exact domain name or a leftmost wildcard such as <code>*.example.com</code>.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

Tag string

Sending subdomain identifier.

maxLength32

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20tag">Link to this property</a>

Created TimeOptional

The date and time the destination address has been created.

formatdate-time

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20created">Link to this property</a>

DKIMSelector stringOptional

The DKIM selector used for email signing. Wildcard rows publish the selector and sign with <code>d=&lt;base&gt;</code>.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20dkim_selector">Link to this property</a>

DropSuppressedRecipients boolOptional

Whether a send request that includes a recipient suppressed on this subdomain drops that recipient and still delivers to the rest, instead of failing the entire request.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20drop_suppressed_recipients">Link to this property</a>

Modified TimeOptional

The date and time the destination address was last modified.

formatdate-time

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20modified">Link to this property</a>

PreviewEnabled boolOptional

Whether sent messages from this subdomain can be previewed in the activity log.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20preview_enabled">Link to this property</a>

ReturnPathDomain stringOptional

The return-path domain used for bounce handling. Wildcard rows use <code>cf-bounce.&lt;base&gt;</code>.

<a href="#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)%20%3E%20(property)%20return_path_domain">Link to this property</a>

</details>

[Link to this property](<#(resource)%20email_sending.subdomains%20%3E%20(model)%20SubdomainGetResponse%20%3E%20(schema)>)

### Get a sending subdomain

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/email_sending"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  subdomain, err := client.EmailSending.Subdomains.Get(
    context.TODO(),
    "aabbccdd11223344aabbccdd11223344",
    email_sending.SubdomainGetParams{
      ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", subdomain.Enabled)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "drop_suppressed_recipients": false,
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "enabled": true,
    "name": "sub.example.com",
    "tag": "aabbccdd11223344aabbccdd11223344",
    "created": "2014-01-02T02:20:00Z",
    "dkim_selector": "cf-bounce",
    "drop_suppressed_recipients": false,
    "modified": "2014-01-02T02:20:00Z",
    "preview_enabled": true,
    "return_path_domain": "cf-bounce.sub.example.com"
  }
}
```